#ifndef _UDM_PARSE_HTML_H
#define _UDM_PARSE_HTML_H

/* HTML parser states */
#define UDM_HTML_TAG	1
#define UDM_HTML_TXT	2
#define UDM_HTML_COM	3

typedef struct udm_langstack_struct {
	char *tag;
	char lang[4];
	struct udm_langstack_struct *prev;
} UDM_LANGSTACK;

extern int   UdmParseText(UDM_AGENT *Indexer,UDM_DOCUMENT *Doc,UDM_SERVER *Server,UDM_URL *CurURL);
extern int   UdmParseHtml(UDM_AGENT *Indexer,UDM_DOCUMENT *Doc,UDM_SERVER *Server,UDM_URL *CurURL);
const char * UdmHTMLToken(const char * s, const char ** lt,UDM_HTMLTOK *t);


#endif
