#ifndef _UDM_SPELL_H
#define _UDM_SPELL_H

#include "udm_services.h"

extern __INDLIB__ UDM_SPELL ** UdmNormalizeWord(UDM_AGENT * Indexer, UDM_WIDEWORD *word);
extern __INDLIB__ UDM_WIDEWORDLIST * UdmAllForms(UDM_AGENT * Indexer, UDM_WIDEWORD *word);
extern __INDLIB__ int UdmImportAffixes(UDM_ENV * Conf,const char *lang, const char *charset, const char *filename);
extern __INDLIB__ int UdmImportDictionary(UDM_ENV * Conf,const char *lang, const char *charset, 
					  const char *filename, int skip_noflag, const char *first_letters);

extern int  UdmAddSpell(UDM_ENV * Conf,const int * word,const char *flag,const char *lang);
extern int  UdmAddAffix(UDM_ENV * Conf,int flag,const char * lang, const int *mask, const int *find, const int *repl, int type);
extern __INDLIB__ void UdmSortDictionary(UDM_ENV * Conf);
extern __INDLIB__ void UdmSortAffixes(UDM_ENV * Conf);
extern int  UdmSelectSpellLang(UDM_ENV *Conf, char *lang);
extern void UdmSelectLang(UDM_AGENT *Indexer, char *lang);
extern __INDLIB__ void UdmFreeIspell (UDM_ENV *Conf);

#endif
