#ifndef _UDM_SEARCH_TOOL_H
#define _UDM_SEARCH_TOOL_H

#define FAST_PRESORT_PAGES      10

extern void UdmWrdTopSort(UDM_URL_CRD *wrd, size_t nwrd,size_t topcount);
extern void UdmGroupByURL(UDM_AGENT *Agent,UDM_URL_CRD *wrd);
extern void UdmSortSearchWordsByURL(UDM_URL_CRD *wrd,size_t num);
extern void UdmSortSearchWordsByWeight(UDM_URL_CRD *wrd,size_t num);
extern int  UdmPrepare(UDM_AGENT *query,const char *text);
extern int  UdmParseQueryString(UDM_AGENT * Agent,UDM_VARLIST * vars,char * query_string);

extern int UdmStoreToCache(UDM_AGENT *q,char *fname,UDM_URL_CRD *wrd,size_t nwrd);
extern UDM_URL_CRD* UdmFindInCache(UDM_AGENT *Agent,char *query_id, size_t * nwrd);

#endif
